petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMDAGetFieldNames

Gets the name of each component in the vector associated with the DMDA

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetFieldNames(DM da,const char * const **names)

Collective on TS

### Input Parameter

dm -the DMDA object

### Output Parameter

names -the names of the components, final string is NULL, will have the same number of entries as the dof used in creating the DMDA

### Keywords

distributed array, get, component name

### See Also

DMDAGetFieldName(), DMDASetCoordinateName(), DMDAGetCoordinateName(), DMDASetFieldName(), DMDASetFieldNames()

Level:intermediate
Location:src/dm/impls/da/dacorn.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages